Index: plugins/antispam/_admin.php
===================================================================
--- plugins/antispam/_admin.php	(revision 324)
+++ plugins/antispam/_admin.php	(revision 203)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -29,5 +29,5 @@
 function antispamDashboardFavs($core,$favs)
 {
-	$favs['antispam'] = new ArrayObject(array('antispam','Antispam','plugin.php?p=antispam',
+	$favs['antispam'] = new ArrayObject(array('antispam',__('Antispam'),'plugin.php?p=antispam',
 		'index.php?pf=antispam/icon.png','index.php?pf=antispam/icon-big.png',
 		'admin',null,null));
Index: plugins/antispam/_define.php
===================================================================
--- plugins/antispam/_define.php	(revision 464)
+++ plugins/antispam/_define.php	(revision 0)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -17,8 +17,6 @@
 	/* Author */			"Alain Vagner",
 	/* Version */			'1.3.1',
-	array(
-		'permissions' =>	'usage,contentadmin',
-		'priority' =>		10
-	)
+	/* Permissions */		'usage,contentadmin',
+	/* Priority */			10
 );
 ?>
Index: plugins/antispam/_install.php
===================================================================
--- plugins/antispam/_install.php	(revision 270)
+++ plugins/antispam/_install.php	(revision 0)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: plugins/antispam/_prepend.php
===================================================================
--- plugins/antispam/_prepend.php	(revision 270)
+++ plugins/antispam/_prepend.php	(revision 0)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: plugins/antispam/_public.php
===================================================================
--- plugins/antispam/_public.php	(revision 270)
+++ plugins/antispam/_public.php	(revision 0)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: plugins/antispam/filters/class.dc.filter.ip.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.ip.php	(revision 536)
+++ plugins/antispam/filters/class.dc.filter.ip.php	(revision 780)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -123,7 +123,8 @@
 		'<div class="multi-part" id="tab_'.$type.'" title="'.$title.'">'.
 
-		'<form action="'.html::escapeURL($url).'" method="post" class="fieldset">'.
+		'<form action="'.html::escapeURL($url).'" method="post">'.
+		'<fieldset><legend>'.__('Add an IP address').'</legend><p>'.
 		form::hidden(array('ip_type'),$type).
-		'<label class="classic" for="addip_'.$type.'">'.__('Add an IP address: ').' '.
+		'<label class="classic" for="addip_'.$type.'">'.__('Add an IP address').' '.
 		form::field(array('addip', 'addip_'.$type),18,255).
 		'</label>';
@@ -135,7 +136,6 @@
 		$res .=
 		$core->formNonce().
-		'</p>'.
-		'<p><input type="submit" value="'.__('Add').'"/></p>'.
-		'</form>';
+		'<input type="submit" value="'.__('Add').'"/></p>'.
+		'</fieldset></form>';
 
 		$rs = $this->getRules($type);
@@ -149,5 +149,5 @@
 			$res .=
 			'<form action="'.html::escapeURL($url).'" method="post">'.
-			'<h3>' . __('IP list') . '</h3>'.
+			'<fieldset><legend>' . __('IP list') . '</legend>'.
 			'<div style="'.$this->style_list.'">';
 
@@ -167,6 +167,6 @@
 
 				$res .=
-				'<p style="'.$p_style.'"><label class="classic" for="'.$type.'-ip-'.$rs->rule_id.'">'.
-				form::checkbox(array('delip[]',$type.'-ip-'.$rs->rule_id),$rs->rule_id,false,'','',$disabled_ip).' '.
+				'<p style="'.$p_style.'"><label class="classic">'.
+				form::checkbox(array('delip[]'),$rs->rule_id,false,'','',$disabled_ip, 'title="'.html::escapeHTML($pattern).'"').' '.
 				html::escapeHTML($pattern).
 				'</label></p>';
@@ -178,5 +178,5 @@
 			form::hidden(array('ip_type'),$type).
 			'</p>'.
-			'</form>';
+			'</fieldset></form>';
 		}
 
Index: plugins/antispam/filters/class.dc.filter.iplookup.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.iplookup.php	(revision 536)
+++ plugins/antispam/filters/class.dc.filter.iplookup.php	(revision 223)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -84,8 +84,7 @@
 		'<form action="'.html::escapeURL($url).'" method="post">'.
 		'<fieldset><legend>' . __('IP Lookup servers') . '</legend>'.
-		'<p><label for="bls">'.__('Add here a coma separated list of servers.').
-		form::textarea('bls',40,3,html::escapeHTML($bls),'maximal').
-		'</p>'.
-		'<p><input type="submit" value="'.__('Save').'" /></label></p>'.
+		'<p>'.'<label for="bls">'.__('Add here a coma separated list of servers.').'</label>'.
+		form::textarea('bls',40,3,html::escapeHTML($bls),'maximal').'</p>'.
+		'<p><input type="submit" value="'.__('Save').'" />'.
 		$this->core->formNonce().'</p>'.
 		'</fieldset>'.
@@ -120,2 +119,3 @@
 }
 ?>
+
Index: plugins/antispam/filters/class.dc.filter.linkslookup.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.linkslookup.php	(revision 270)
+++ plugins/antispam/filters/class.dc.filter.linkslookup.php	(revision 0)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: plugins/antispam/filters/class.dc.filter.words.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.words.php	(revision 536)
+++ plugins/antispam/filters/class.dc.filter.words.php	(revision 223)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -119,6 +119,7 @@
 
 		$res .=
-		'<form action="'.html::escapeURL($url).'" method="post" class="fieldset">'.
-		'<p><label class="classic" for="swa">'.__('Add a word ').' '.form::field('swa',20,128).'</label>';
+		'<form action="'.html::escapeURL($url).'" method="post">'.
+		'<fieldset><legend>'.__('Add a word').'</legend>'.
+		'<p><label class="classic" for="swa">'.__('Add a word').' '.form::field('swa',20,128).'</label>';
 
 		if ($core->auth->isSuperAdmin()) {
@@ -129,6 +130,6 @@
 		$res .=
 		$core->formNonce().
-		'</p>'.
-		'<p><input type="submit" value="'.__('Add').'"/></p>'.
+		'<input type="submit" value="'.__('Add').'"/></p>'.
+		'</fieldset>'.
 		'</form>';
 
@@ -141,6 +142,6 @@
 		{
 			$res .=
-			'<form action="'.html::escapeURL($url).'" method="post" class="fieldset">'.
-			'<h3>' . __('List of bad words') . '</h3>'.
+			'<form action="'.html::escapeURL($url).'" method="post">'.
+			'<fieldset><legend>' . __('List') . '</legend>'.
 			'<div style="'.$this->style_list.'">';
 
@@ -155,6 +156,6 @@
 
 				$res .=
-				'<p style="'.$p_style.'"><label class="classic" for="word-'.$rs->rule_id.'">'.
-				form::checkbox(array('swd[]', 'word-'.$rs->rule_id),$rs->rule_id,false,'','',$disabled_word).' '.
+				'<p style="'.$p_style.'"><label class="classic">'.
+				form::checkbox(array('swd[]'),$rs->rule_id,false,'','',$disabled_word, 'title="'.html::escapeHTML($rs->rule_content).'"').' '.
 				html::escapeHTML($rs->rule_content).
 				'</label></p>';
@@ -166,5 +167,5 @@
 			$core->formNonce().
 			'<input class="submit delete" type="submit" value="' . __('Delete selected words') . '"/></p>'.
-			'</form>';
+			'</fieldset></form>';
 		}
 
@@ -355,2 +356,3 @@
 }
 ?>
+
Index: plugins/antispam/inc/class.dc.spamfilter.php
===================================================================
--- plugins/antispam/inc/class.dc.spamfilter.php	(revision 270)
+++ plugins/antispam/inc/class.dc.spamfilter.php	(revision 0)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: plugins/antispam/inc/class.dc.spamfilters.php
===================================================================
--- plugins/antispam/inc/class.dc.spamfilters.php	(revision 270)
+++ plugins/antispam/inc/class.dc.spamfilters.php	(revision 0)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: plugins/antispam/inc/lib.dc.antispam.php
===================================================================
--- plugins/antispam/inc/lib.dc.antispam.php	(revision 752)
+++ plugins/antispam/inc/lib.dc.antispam.php	(revision 203)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -75,5 +75,5 @@
 		if (($count = self::countSpam($core)) > 0) {
 			$str = ($count > 1) ? __('(including %d spam comments)') : __('(including %d spam comment)');
-			$icons['comments'][0] .= '</a> <br /><a href="comments.php?status=-2"><span>'.sprintf($str,$count).'</span>';
+			$icons['comments'][0] .= '</a> <br /><a href="comments.php?status=-2">'.sprintf($str,$count);
 		}
 	}
@@ -83,5 +83,5 @@
 		if (($count = self::countSpam($core)) > 0) {
 			$str = ($count > 1) ? __('(including %d spam comments)') : __('(including %d spam comment)');
-			return '</a> <br /><a href="comments.php?status=-2"><span>'.sprintf($str,$count).'</span>';
+			return '</a> <br /><a href="comments.php?status=-2">'.sprintf($str,$count);
 		} else {
 			return '';
@@ -163,10 +163,4 @@
 		}
 		
-		$permissions = $core->getBlogPermissions($core->blog->id);
-		
-		if ( empty($permissions[$rs->user_id]) ) {
-			return false;
-		}
-		
 		return $rs->user_id;
 	}
Index: plugins/antispam/inc/lib.dc.antispam.url.php
===================================================================
--- plugins/antispam/inc/lib.dc.antispam.url.php	(revision 270)
+++ plugins/antispam/inc/lib.dc.antispam.url.php	(revision 0)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 776)
+++ plugins/antispam/index.php	(revision 457)
@@ -4,5 +4,5 @@
 # This file is part of Antispam, a plugin for Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2010 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -110,9 +110,10 @@
 <body>
 <?php
+echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; '.$page_name.'</h2>';
 
 if ($filter_gui !== false)
 {
-	echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <a href="'.$p_url.'">'.$page_name.'</a>'.
-		' &rsaquo; <span class="page-title">'.sprintf(__('%s configuration'),$filter->name).'</span></h2>';
+	echo '<p><a href="'.$p_url.'">'.__('Return to filters').'</a></p>';
+	printf('<h3>'.__('%s configuration').'</h3>',$filter->name);
 
 	echo $filter_gui;
@@ -120,6 +121,4 @@
 else
 {
-	echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <span class="page-title">'.$page_name.'</span></h2>';
-
 	# Information
 	$spam_count = dcAntispam::countSpam($core);
@@ -128,6 +127,6 @@
 
 	echo
-	'<form action="'.$p_url.'" method="post" class="fieldset">'.
-	'<h3>'.__('Information').'</h3>';
+	'<form action="'.$p_url.'" method="post">'.
+	'<fieldset><legend>'.__('Information').'</legend>';
 
 	if (!empty($_GET['del'])) {
@@ -151,14 +150,13 @@
 	}
 	if ($moderationTTL != null && $moderationTTL >=0) {
-		echo '<p>'.sprintf(__('All spam comments older than %s day(s) will be automatically deleted.'), $moderationTTL).' '.
-		__('You can modify this duration in ').
-		'<a href="blog_pref.php"> '.__('Blog preferences').'</a></p>';
-	}
-	echo '</form>';
+		echo '<p>'.sprintf(__('All spam comments older than %s day(s) will be automatically deleted.'), $moderationTTL).'</p>';
+	}
+	echo '</fieldset></form>';
 
 
 	# Filters
 	echo
-	'<form action="'.$p_url.'" method="post" class="fieldset">';
+	'<form action="'.$p_url.'" method="post">'.
+	'<fieldset><legend>'.__('Available spam filters').'</legend>';
 
 	if (!empty($_GET['upd'])) {
@@ -168,11 +166,11 @@
 	echo
 	'<table class="dragable">'.
-	'<caption>'.__('Available spam filters').'</caption>'.
+	'<caption>'.__('Antispan filters list').'</caption>'.
 	'<thead><tr>'.
-	'<th>'.__('Order').'</th>'.
-	'<th>'.__('Active').'</th>'.
-	'<th>'.__('Auto Del.').'</th>'.
-	'<th class="nowrap">'.__('Filter name').'</th>'.
-	'<th colspan="2">'.__('Description').'</th>'.
+	'<th scope="col">'.__('Order').'</th>'.
+	'<th scope="col">'.__('Active').'</th>'.
+	'<th scope="col">'.__('Auto Del.').'</th>'.
+	'<th scope="col" class="nowrap">'.__('Filter name').'</th>'.
+	'<th scope="col" colspan="2">'.__('Description').'</th>'.
 	'</tr></thead>'.
 	'<tbody id="filters-list" >';
@@ -194,5 +192,5 @@
 		'<td class="nowrap">'.form::checkbox(array('filters_active[]'),$fid,$f->active, '', '', false, 'title="'.__('Active').'"').'</td>'.
 		'<td class="nowrap">'.form::checkbox(array('filters_auto_del[]'),$fid,$f->auto_delete, '', '', false, 'title="'.__('Auto Del.').'"').'</td>'.
-		'<td class="nowrap" scope="raw">'.$f->name.'</td>'.
+		'<th scope="row" class="nowrap">'.$f->name.'</th>'.
 		'<td class="maximal">'.$f->description.'</td>'.
 		'<td class="status">'.$gui_link.'</td>'.
@@ -205,5 +203,5 @@
 	$core->formNonce().
 	'<input type="submit" name="filters_upd" value="'.__('Save').'" /></p>'.
-	'</form>';
+	'</fieldset></form>';
 
 
@@ -211,19 +209,14 @@
 	if (DC_ADMIN_URL)
 	{
-		$ham_feed = $core->blog->url.$core->url->getURLFor(
-			'hamfeed',
-			$code = dcAntispam::getUserCode($core)
-		);
-		$spam_feed = $core->blog->url.$core->url->getURLFor(
-			'spamfeed',
-			$code = dcAntispam::getUserCode($core)
-		);
+		$ham_feed = $core->blog->url.$core->url->getBase('hamfeed').'/'.$code = dcAntispam::getUserCode($core);
+		$spam_feed = $core->blog->url.$core->url->getBase('spamfeed').'/'.$code = dcAntispam::getUserCode($core);
 
 		echo
-		'<h3>'.__('Syndication').'</h3>'.
+		'<fieldset><legend>'.__('Syndication').'</legend>'.
 		'<ul class="spaminfo">'.
 		'<li class="feed"><a href="'.$spam_feed.'">'.__('Junk comments RSS feed').'</a></li>'.
 		'<li class="feed"><a href="'.$ham_feed.'">'.__('Published comments RSS feed').'</a></li>'.
-		'</ul>';
+		'</ul>'.
+		'</fieldset>';
 	}
 }
@@ -232,2 +225,3 @@
 </body>
 </html>
+
